| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetCSTAActiveDeviceListRequest Struct Reference
CSTA Application

Get CSTA Active Device List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | ApplicationIPAddress
| The (unique) IP of the application to be queried in IPv4 format. More...
xsd__string | DeviceId
| Allows filtering for a Service ID. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__CSTADeviceFilter * | DeviceFilter
| Device filter. More...
enum unsp__CSTADeviceSortType * | DeviceSortType
| Device sort type. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting enumeration. More...

## Detailed Description

Get CSTA Active Device List request.

Used by unsp__GetCSTAActiveDeviceList()

## Member Data Documentation

## ◆ ApplicationIPAddress

xsd__string unsp__GetCSTAActiveDeviceListRequest::ApplicationIPAddress

The (unique) IP of the application to be queried in IPv4 format.

required: true
default value[range]: NA [1..45]

## ◆ DeviceFilter

enum unsp__CSTADeviceFilter* unsp__GetCSTAActiveDeviceListRequest::DeviceFilter

Device filter.

required: false
default value[range]: CSTADeviceFilterAll

## ◆ DeviceId

xsd__string unsp__GetCSTAActiveDeviceListRequest::DeviceId

Allows filtering for a Service ID.

Supports '*' and '?' wildcards.
required: false
default value[range]: NA [1..30]

## ◆ DeviceSortType

enum unsp__CSTADeviceSortType* unsp__GetCSTAActiveDeviceListRequest::DeviceSortType

Device sort type.

required: false
default value[range]: CSTADeviceSortTypeDeviceId

## ◆ OperatorId

xsd__string unsp__GetCSTAActiveDeviceListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetCSTAActiveDeviceListRequest::Paging

Standard paging structure.

required: false

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetCSTAActiveDeviceListRequest::SortOrder

Standard sorting enumeration.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h